Search documentation of bb

# BB.Error.State.Preempted exception (bb v0.17.0)

Copy Markdown View Source

Operation was preempted by another operation.

Raised when an in-progress operation is cancelled because a higher-priority operation has taken over.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.State.Preempted` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.State.Preempted{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      path: term(),
      preempted_operation: term(),
      preempting_operation: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.State.Preempted` without raising it.

## Keys

- :preempted_operation
- :preempting_operation